# Uses of Class
org.mariadb.jdbc.util.Options

Packages that use Options
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.authentication
org.mariadb.jdbc.credential
org.mariadb.jdbc.credential.aws
org.mariadb.jdbc.credential.env
org.mariadb.jdbc.credential.system
org.mariadb.jdbc.internal
org.mariadb.jdbc.internal.com.read.resultset
org.mariadb.jdbc.internal.com.read.resultset.rowprotocol
org.mariadb.jdbc.internal.com.send
org.mariadb.jdbc.internal.com.send.authentication
org.mariadb.jdbc.internal.com.send.parameters
org.mariadb.jdbc.internal.io.input
org.mariadb.jdbc.internal.io.output
org.mariadb.jdbc.internal.io.socket
org.mariadb.jdbc.internal.logging
org.mariadb.jdbc.internal.protocol
org.mariadb.jdbc.internal.protocol.tls
org.mariadb.jdbc.internal.util
org.mariadb.jdbc.internal.util.exceptions
org.mariadb.jdbc.tls
org.mariadb.jdbc.util

## Uses of Options in org.mariadb.jdbc

Fields in org.mariadb.jdbc declared as Options
Modifier and Type
Field
Description
`protected final Options`
MariaDbStatement.`options`
Methods in org.mariadb.jdbc that return Options
Modifier and Type
Method
Description
`Options`
UrlParser.`getOptions()`
Constructors in org.mariadb.jdbc with parameters of type Options
Modifier
Constructor
Description
``
`MariaDbResultSetMetaData(ColumnDefinition[] fieldPackets, Options options, boolean forceAlias)`
Constructor.
``
`UrlParser(String database, List<HostAddress> addresses, Options options, HaMode haMode)`
Constructor.

## Uses of Options in org.mariadb.jdbc.authentication

Methods in org.mariadb.jdbc.authentication with parameters of type Options
Modifier and Type
Method
Description
`void`
AuthenticationPlugin.`initialize(String authenticationData, byte[] seed, Options options)`
Plugin initialization.

## Uses of Options in org.mariadb.jdbc.credential

Methods in org.mariadb.jdbc.credential with parameters of type Options
Modifier and Type
Method
Description
`default CredentialPlugin`
CredentialPlugin.`initialize(Options options, String userName, HostAddress hostAddress)`

## Uses of Options in org.mariadb.jdbc.credential.aws

Methods in org.mariadb.jdbc.credential.aws with parameters of type Options
Modifier and Type
Method
Description
`CredentialPlugin`
AwsIamCredentialPlugin.`initialize(Options options, String userName, HostAddress hostAddress)`

## Uses of Options in org.mariadb.jdbc.credential.env

Methods in org.mariadb.jdbc.credential.env with parameters of type Options
Modifier and Type
Method
Description
`CredentialPlugin`
EnvCredentialPlugin.`initialize(Options options, String userName, HostAddress hostAddress)`

## Uses of Options in org.mariadb.jdbc.credential.system

Methods in org.mariadb.jdbc.credential.system with parameters of type Options
Modifier and Type
Method
Description
`CredentialPlugin`
PropertiesCredentialPlugin.`initialize(Options options, String userName, HostAddress hostAddress)`

## Uses of Options in org.mariadb.jdbc.internal

Methods in org.mariadb.jdbc.internal with parameters of type Options
Modifier and Type
Method
Description
`static String`
ColumnType.`getClassName(ColumnType type, int len, boolean signed, boolean binary, Options options)`
Get class name.

## Uses of Options in org.mariadb.jdbc.internal.com.read.resultset

Fields in org.mariadb.jdbc.internal.com.read.resultset declared as Options
Modifier and Type
Field
Description
`protected Options`
SelectResultSet.`options`

## Uses of Options in org.mariadb.jdbc.internal.com.read.resultset.rowprotocol

Fields in org.mariadb.jdbc.internal.com.read.resultset.rowprotocol declared as Options
Modifier and Type
Field
Description
`protected final Options`
RowProtocol.`options`
Constructors in org.mariadb.jdbc.internal.com.read.resultset.rowprotocol with parameters of type Options
Modifier
Constructor
Description
``
`BinaryRowProtocol(ColumnDefinition[] columnDefinition, int columnInformationLength, int maxFieldSize, Options options)`
Constructor.
``
`RowProtocol(int maxFieldSize, Options options)`
``
`TextRowProtocol(int maxFieldSize, Options options)`
Constructor.

## Uses of Options in org.mariadb.jdbc.internal.com.send

Methods in org.mariadb.jdbc.internal.com.send with parameters of type Options
Modifier and Type
Method
Description
`static void`
SendHandshakeResponsePacket.`send(PacketOutputStream pos, Credential credential, String host, String database, long clientCapabilities, long serverCapabilities, byte serverLanguage, byte packetSeq, Options options, String authenticationPluginType, byte[] seed)`
Send handshake response packet.

## Uses of Options in org.mariadb.jdbc.internal.com.send.authentication

Methods in org.mariadb.jdbc.internal.com.send.authentication with parameters of type Options
Modifier and Type
Method
Description
`void`
CachingSha2PasswordPlugin.`initialize(String authenticationData, byte[] seed, Options options)`
Initialized data.
`void`
ClearPasswordPlugin.`initialize(String authenticationData, byte[] authData, Options options)`
`void`
Ed25519PasswordPlugin.`initialize(String authenticationData, byte[] seed, Options options)`
Initialization.
`void`
NativePasswordPlugin.`initialize(String authenticationData, byte[] seed, Options options)`
Initialized data.
`void`
OldPasswordPlugin.`initialize(String authenticationData, byte[] seed, Options options)`
`void`
SendGssApiAuthPacket.`initialize(String authenticationData, byte[] seed, Options options)`
Initialization.
`void`
SendPamAuthPacket.`initialize(String authenticationData, byte[] seed, Options options)`
Initialization.
`void`
Sha256PasswordPlugin.`initialize(String authenticationData, byte[] seed, Options options)`
Initialization.

## Uses of Options in org.mariadb.jdbc.internal.com.send.parameters

Constructors in org.mariadb.jdbc.internal.com.send.parameters with parameters of type Options
Modifier
Constructor
Description
``
`DateParameter(Date date, TimeZone timeZone, Options options)`
Represents a date, constructed with time in millis since epoch.
``
`OffsetTimeParameter(OffsetTime offsetTime, TimeZone timezone, boolean fractionalSeconds, Options options)`
Constructor.
``
`ZonedDateTimeParameter(ZonedDateTime tz, TimeZone timezone, boolean fractionalSeconds, Options options)`
Constructor.

## Uses of Options in org.mariadb.jdbc.internal.io.input

Constructors in org.mariadb.jdbc.internal.io.input with parameters of type Options
Modifier
Constructor
Description
``
`StandardPacketInputStream(InputStream in, Options options, long threadId)`
Constructor of standard socket MySQL packet stream reader.

## Uses of Options in org.mariadb.jdbc.internal.io.output

Constructors in org.mariadb.jdbc.internal.io.output with parameters of type Options
Modifier
Constructor
Description
``
`StandardPacketOutputStream(OutputStream out, Options options, long threadId)`

## Uses of Options in org.mariadb.jdbc.internal.io.socket

Methods in org.mariadb.jdbc.internal.io.socket with parameters of type Options
Modifier and Type
Method
Description
`Socket`
SocketHandlerFunction.`apply(Options options, String host)`

## Uses of Options in org.mariadb.jdbc.internal.logging

Constructors in org.mariadb.jdbc.internal.logging with parameters of type Options
Modifier
Constructor
Description
``
`ProtocolLoggingProxy(Protocol protocol, Options options)`
Constructor.

## Uses of Options in org.mariadb.jdbc.internal.protocol

Fields in org.mariadb.jdbc.internal.protocol declared as Options
Modifier and Type
Field
Description
`protected final Options`
AbstractConnectProtocol.`options`
Methods in org.mariadb.jdbc.internal.protocol that return Options
Modifier and Type
Method
Description
`Options`
AbstractConnectProtocol.`getOptions()`
`Options`
Protocol.`getOptions()`

## Uses of Options in org.mariadb.jdbc.internal.protocol.tls

Methods in org.mariadb.jdbc.internal.protocol.tls with parameters of type Options
Modifier and Type
Method
Description
`SSLSocketFactory`
DefaultTlsSocketPlugin.`getSocketFactory(Options options)`
`void`
DefaultTlsSocketPlugin.`verify(String host, SSLSession session, Options options, long serverThreadId)`
Constructors in org.mariadb.jdbc.internal.protocol.tls with parameters of type Options
Modifier
Constructor
Description
``
`MariaDbX509TrustManager(Options options)`
MyX509TrustManager.

## Uses of Options in org.mariadb.jdbc.internal.util

Methods in org.mariadb.jdbc.internal.util with parameters of type Options
Modifier and Type
Method
Description
`static Socket`
Utils.`createSocket(Options options, String host)`
Create socket accordingly to options.
`static String`
LogQueryTool.`queryWithParams(PrepareResult serverPrepareResult, ParameterHolder[] parameters, Options options)`
Return exception message with query.
`static Socket`
Utils.`standardSocket(Options options, String host)`
Use standard socket implementation.

## Uses of Options in org.mariadb.jdbc.internal.util.exceptions

Methods in org.mariadb.jdbc.internal.util.exceptions that return Options
Modifier and Type
Method
Description
`Options`
ExceptionFactory.`getOptions()`
Methods in org.mariadb.jdbc.internal.util.exceptions with parameters of type Options
Modifier and Type
Method
Description
`static ExceptionFactory`
ExceptionFactory.`of(long threadId, Options options)`
Constructors in org.mariadb.jdbc.internal.util.exceptions with parameters of type Options
Modifier
Constructor
Description
``
`ExceptionFactory(long threadId, Options options, MariaDbConnection connection, Statement statement)`

## Uses of Options in org.mariadb.jdbc.tls

Methods in org.mariadb.jdbc.tls with parameters of type Options
Modifier and Type
Method
Description
`SSLSocketFactory`
TlsSocketPlugin.`getSocketFactory(Options options)`
Get socket factory.
`void`
TlsSocketPlugin.`verify(String host, SSLSession sslSession, Options options, long serverThreadId)`
Host name verifier implementation.

## Uses of Options in org.mariadb.jdbc.util

Methods in org.mariadb.jdbc.util that return Options
Modifier and Type
Method
Description
`static Options`
DefaultOptions.`defaultValues(HaMode haMode)`
`static Options`
DefaultOptions.`defaultValues(HaMode haMode, boolean pool)`
Generate an Options object with default value corresponding to High Availability mode.
`static Options`
DefaultOptions.`parse(HaMode haMode, String urlParameters, Properties properties, Options options)`
Parse additional properties .
Methods in org.mariadb.jdbc.util with parameters of type Options
Modifier and Type
Method
Description
`static Options`
DefaultOptions.`parse(HaMode haMode, String urlParameters, Properties properties, Options options)`
Parse additional properties .
`static void`
DefaultOptions.`parse(HaMode haMode, String urlParameters, Options options)`
Parse additional properties.
`static void`
DefaultOptions.`postOptionProcess(Options options, CredentialPlugin credentialPlugin)`
Option initialisation end : set option value to a coherent state.
`static void`
DefaultOptions.`propertyString(Options options, HaMode haMode, StringBuilder sb)`
Generate parameter String equivalent to options.
`abstract void`
ConfigurableSocketFactory.`setConfiguration(Options options, String host)`